@import '../../../../assets/styles/variables';
@import '../../../../assets/styles/typography';


app-notfound {
  display: block;
  height: 100%;
}

.error-wrapper {
  height: 100%;
  padding: var(--eui-base-spacing-2xl) calc(2 * var(--eui-base-spacing-3xl));
  display: flex;

  .error-image {
    max-height: 25rem;
  }

  .error-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-height: 25rem;
    max-width: 40rem;
    padding: var(--eui-base-spacing-xl) var(--eui-base-spacing-4xl);

    a {
      text-decoration: underline;
    }
  }
}

.pageNotFound {
  background-image: linear-gradient(to bottom, var(--eui-base-color-primary-10), var(--eui-base-color-white));
}

.userNotRegistered {
  background-image: linear-gradient(to bottom, #FFF3F2, #FFFAFA);
}

.pageNotAllowed {
  background: linear-gradient(180deg, #FFF3F2 0%, rgba(255, 250, 250, 0.00) 88.1%);
}

.pageNotAvailable, .systemOutage {
  background: linear-gradient(180deg, #FFFBEC 0%, rgba(254, 253, 223, 0.00) 88.1%);
}

@media (max-width: $deviceSizeM) {
  .error-text {
    padding: 0 !important;
  }
}

@media (max-width: $deviceSizeS) {
  .error-wrapper {
    flex-direction: column;

    .error-image {
      max-width: 10rem;
    }
  }
}

